[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RegisterClasses

Registers multiple classes with the streaming system.

## Declaration

Source position: classesh.inc line 1988

`procedure RegisterClasses(`
`AClasses: array of TPersistentClass`
`);`

## Description

RegisterClasses registers the specified classes AClass in the streaming system. After the classes have been registered, they can be read from a stream when a reference to this class is encountered.

## See also

RegisterClass |  | Registers a class with the streaming system.
RegisterClassAlias |  | Registers a class alias with the streaming system.
RegisterComponents |  | Registers components for the component palette.
UnregisterClass |  | Unregisters a class from the streaming system.

Documentation generated on: Feb 26 2014